Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2026-07-28 The HDF5 Field Guide

Loading...
Searching...
No Matches
H5 Namespace Reference

## Data Structures
class | AbstractDs
| AbstractDs is an abstract base class, inherited by Attribute and DataSet. More...
class | ArrayType
| Class ArrayType inherits from DataType and provides wrappers for the HDF5's Array Datatypes. More...
class | AtomType
| AtomType is a base class, inherited by IntType, FloatType, StrType, and PredType. More...
class | Attribute
| Class Attribute operates on HDF5 attributes. More...
class | AttributeIException
class | CommonFG
| CommonFG is an abstract base class of H5Group. More...
class | CompType
| CompType is a derivative of a DataType and operates on HDF5 compound datatypes. More...
class | DataSet
| Class DataSet operates on HDF5 datasets. More...
class | DataSetIException
class | DataSpace
| Class DataSpace inherits from IdComponent and provides wrappers for the HDF5's dataspaces. More...
class | DataSpaceIException
class | DataType
| Class DataType provides generic operations on HDF5 datatypes. More...
class | DataTypeIException
class | DSetAccPropList
| Class DSetAccPropList inherits from LinkAccPropList and provides wrappers for the HDF5 dataset access property functions. More...
class | DSetCreatPropList
| Class DSetCreatPropList inherits from ObjCreatPropList and provides wrappers for the HDF5 dataset creation property functions. More...
class | DSetMemXferPropList
| Class DSetCreatPropList inherits from PropList and provides wrappers for the HDF5 dataset memory and transfer property list. More...
class | EnumType
| EnumType is a derivative of a DataType and operates on HDF5 enum datatypes. More...
class | Exception
| Exception provides wrappers of HDF5 error handling functions. More...
class | FileAccPropList
| Class FileAccPropList inherits from PropList and provides wrappers for the HDF5 file access property list. More...
class | FileCreatPropList
| Class FileCreatPropList inherits from PropList and provides wrappers for the HDF5 file create property list. More...
class | FileIException
class | FloatType
| FloatType is a derivative of a DataType and operates on HDF5 floating point datatype. More...
class | Group
| Class Group represents an HDF5 group. More...
class | GroupIException
class | H5File
| Class H5File represents an HDF5 file and inherits from class Group as file is a root group. More...
class | H5Library
| Class H5Library operates the HDF5 library globably. More...
class | H5Location
| H5Location is an abstract base class, added in version 1.8.12. More...
class | H5Object
| Class H5Object is a bridge between H5Location and DataSet, DataType, and Group. More...
class | IdComponent
| Class IdComponent provides wrappers of the C functions that operate on an HDF5 identifier. More...
class | IdComponentException
class | IntType
| IntType is a derivative of a DataType and operates on HDF5 integer datatype. More...
class | LibraryIException
class | LinkAccPropList
| Class LinkAccPropList inherits from PropList and provides wrappers for the HDF5 link access property list. More...
class | LinkCreatPropList
| Class LinkCreatPropList inherits from PropList and provides wrappers for the HDF5 link creation property list. More...
class | LocationException
class | ObjCreatPropList
| Class ObjCreatPropList inherits from PropList and provides wrappers for the HDF5 object create property list. More...
class | ObjHeaderIException
class | PredType
| Class PredType holds the definition of all the HDF5 predefined datatypes. More...
class | PropList
| Class PropList inherits from IdComponent and provides wrappers for the HDF5 generic property list. More...
class | PropListIException
class | ReferenceException
class | StrType
| StrType is a derivative of a DataType and operates on HDF5 string datatype. More...
class | UserData4Aiterate
class | UserData4Visit
class | VarLenType
| VarLenType is a derivative of a DataType and operates on HDF5 Variable-length Datatypes. More...

## Typedefs
typedef void(* | attr_operator_t) (H5Object &loc, const std::string attr_name, void *operator_data)
typedef int(* | visit_operator_t) (H5Object &obj, const std::string attr_name, const H5O_info2_t *oinfo, void *operator_data)

## Functions
void | f_Attribute_setId (Attribute *attr, hid_t new_id)
void | f_DataSet_setId (DataSet *dset, hid_t new_id)
void | f_DataSpace_setId (DataSpace *dspace, hid_t new_id)
void | f_DataType_setId (DataType *dtype, hid_t new_id)
void | f_PropList_setId (PropList *plist, hid_t new_id)
static herr_t | userAttrOpWrpr (hid_t loc_id, const char *attr_name, const H5A_info_t *ainfo, void *op_data)
static herr_t | userVisitOpWrpr (hid_t obj_id, const char *attr_name, const H5O_info2_t *obj_info, void *op_data)

## Typedef Documentation

## ◆ attr_operator_t

typedef void(* attr_operator_t) (H5Object &loc, const std::string attr_name, void *operator_data)

## ◆ visit_operator_t

typedef int(* visit_operator_t) (H5Object &obj, const std::string attr_name, const H5O_info2_t *oinfo, void *operator_data)

## Function Documentation

## ◆ f_Attribute_setId()

void f_Attribute_setId | ( | Attribute * | attr,
|  | hid_t | new_id )

## ◆ f_DataSet_setId()

void f_DataSet_setId | ( | DataSet * | dset,
|  | hid_t | new_id )

## ◆ f_DataSpace_setId()

void f_DataSpace_setId | ( | DataSpace * | dspace,
|  | hid_t | new_id )

## ◆ f_DataType_setId()

void f_DataType_setId | ( | DataType * | dtype,
|  | hid_t | new_id )

## ◆ f_PropList_setId()

void f_PropList_setId | ( | PropList * | plist,
|  | hid_t | new_id )

## ◆ userAttrOpWrpr()

herr_t userAttrOpWrpr | ( | hid_t | loc_id,
|  | const char * | attr_name,
|  | const H5A_info_t * | ainfo,
|  | void * | op_data )
| static

## ◆ userVisitOpWrpr()

herr_t userVisitOpWrpr | ( | hid_t | obj_id,
|  | const char * | attr_name,
|  | const H5O_info2_t * | obj_info,
|  | void * | op_data )
| static